Subject: First cut at git port to Cygwin

From: "H. Peter Anvin" <[email-masked]>
Date: Wed, 28 Sep 2005 17:53:36 -0700

I have made a first cut at a git port to Cygwin.  It looks like the 
"git-diff-tree -p" problem has been resolved independently, or at least 
I can't reproduce it on a fresh Cygwin install (running on XP Home), but 
I have added support for running without the IPv6 and the getaddrinfo() API.

There are still funnies.  In particular, Cygwin and Samba handle 
symlinks differently, so you can't trivially share a repository via 
Samba.  Linus' "symbolic refs" changes should eventually take care of that.

Another funny which I haven't been able to figure out yet is that 'gitk' 
scrunches all its output up into a few pixels at the top of the window. 
  If I maximize the window, I can manually resize most of the panes and 
the output looks correct, but the highlighted text in the top panes show 
up in black on a really really dark blue background and is thus illegible.

I have set up a git-on-Cygwin temporary tree at:

http://www.kernel.org/pub/scm/git/git-cygwin.git

	-hpa